import { Component, OnInit } from '@angular/core';
import { RoleService } from './../../../service/role/role.service';

@Component({
  templateUrl: 'role.component.html',
  styleUrls:['./role.component.scss']
})
export class RoleComponent implements OnInit {
  listRole: any;
  show = false;
  closed = false;

  constructor(private roleService: RoleService) { }
  ngOnInit(){
    this.getRoleDetails();
  }
  getRoleDetails(){
    this.roleService.getRoleDetails().subscribe(data =>{ 
      this.listRole = data.data;
    });
  }

  navListDetails = [{
    name: 'Dashboard'
  },
  {
    name: 'Masters'
  },
  {
    name: 'Daybook'
  }]
}
